import module namespace dx = "http://schemas.epocrates.com/schemas/xquery/dx"
   at "common.xquery" ;

declare variable $primary := $dx:mono/basics/prevention/* ;
declare variable $secondary := $dx:mono/followup/recomendations/preventive_actions/* ;
declare variable $pi := $dx:mono/followup/recomendations/patient_instructions/*;
declare variable $monitoring := $dx:mono/followup/recomendations/monitoring/*;



declare function local:monitoring()
{
if( exists( $monitoring ) ) then 
(
	<H1>Monitoring</H1> ,
	dx:complex( $dx:mono/followup/recomendations/monitoring/* )	
) else () 
};


declare function local:prevention()
{
if( exists( $primary union $secondary ) ) then 
(
	<H1>Prevention</H1> ,
 	if( exists( $primary ) ) then 
	(
		<B>Primary Prevention</B>, <BR/>,
		dx:complex( $primary ) 
	) else (),
	if( exists( $secondary) ) then 
	(
	<B>Secondary Prevention</B>, <BR/>,
		dx:complex( $secondary ) 
	) else ()
) else ()

};



declare function local:patient_instructions()
{

if( exists($pi) ) then (
	<BR/>,
	<TAG tag="pi"/>,
	<H1>Patient Instructions</H1> ,
	dx:complex( $pi )	
) else ()
};


dx:xtext("followup","Follow-Up",

<PAGE>
{
	local:monitoring(),
	local:patient_instructions(),
	local:prevention()
}
</PAGE>
)(: Stylus Studio meta-information - (c) 2004-2008. Progress Software Corporation. All rights reserved.

<metaInformation>
	<scenarios>
		<scenario default="no" name="150" userelativepaths="yes" externalpreview="no" useresolver="yes" url="..\..\xml\150.xml" outputurl="" processortype="saxon" tcpport="60291088" profilemode="0" profiledepth="" profilelength="" urlprofilexml=""
		          commandline="" additionalpath="" additionalclasspath="" postprocessortype="none" postprocesscommandline="" postprocessadditionalpath="" postprocessgeneratedext="" host="" port="0" user="" password="" validateoutput="no"
		          validator="internal" customvalidator="">
			<advancedProperties name="bSchemaAware" value="false"/>
			<advancedProperties name="bXml11" value="false"/>
			<advancedProperties name="iValidation" value="0"/>
			<advancedProperties name="bExtensions" value="true"/>
			<advancedProperties name="iWhitespace" value="0"/>
			<advancedProperties name="bTinyTree" value="false"/>
			<advancedProperties name="bUseDTD" value="false"/>
			<advancedProperties name="bWarnings" value="true"/>
		</scenario>
		<scenario default="yes" name="814" userelativepaths="yes" externalpreview="no" useresolver="yes" url="..\..\..\..\..\..\feature\full_iPhoneEssv2\DX\xml\814.xml" outputurl="" processortype="saxon" tcpport="60291088" profilemode="0" profiledepth=""
		          profilelength="" urlprofilexml="" commandline="" additionalpath="" additionalclasspath="" postprocessortype="none" postprocesscommandline="" postprocessadditionalpath="" postprocessgeneratedext="" host="" port="0" user="" password=""
		          validateoutput="no" validator="internal" customvalidator="">
			<advancedProperties name="bSchemaAware" value="false"/>
			<advancedProperties name="bXml11" value="false"/>
			<advancedProperties name="iValidation" value="0"/>
			<advancedProperties name="bExtensions" value="true"/>
			<advancedProperties name="iWhitespace" value="0"/>
			<advancedProperties name="bTinyTree" value="false"/>
			<advancedProperties name="bUseDTD" value="false"/>
			<advancedProperties name="bWarnings" value="true"/>
		</scenario>
	</scenarios>
	<MapperMetaTag>
		<MapperInfo srcSchemaPathIsRelative="yes" srcSchemaInterpretAsXML="no" destSchemaPath="" destSchemaRoot="" destSchemaPathIsRelative="yes" destSchemaInterpretAsXML="no"/>
		<MapperBlockPosition></MapperBlockPosition>
		<TemplateContext></TemplateContext>
		<MapperFilter side="source"></MapperFilter>
	</MapperMetaTag>
</metaInformation>
:)